{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "dlcm-portal": {
      "root": "",
      "sourceRoot": "src",
      "projectType": "application",
      "prefix": "dlcm",
      "schematics": {
        "@schematics/angular:component": {
          "changeDetection": "OnPush",
          "style": "scss"
        }
      },
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "allowedCommonJsDependencies": [
              "highlight.js",
              "ng2-pdf-viewer",
              "file-saver",
              "pdfjs-dist",
              "lodash",
              "docx-preview",
              "@cospired/i18n-iso-languages",
              "opentracing/lib/span",
              "opentracing/lib/tracer",
              "opentracing/lib/constants",
              "moment",
              "error-stack-parser",
              "quill",
              "wavesurfer.js",
              "node-html-parser",
              "chalk",
              "css-select",
              "parse5",
              "parse5-htmlparser2-tree-adapter",
              "pretty-bytes",
              "codemirror",
              "quill-delta",
              "jszip"
            ],
            "outputPath": "dist/dlcm-portal/browser",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.app.json",
            "assets": [
              {
                "glob": "ngsw-worker.js",
                "input": "node_modules/@angular/service-worker",
                "output": "."
              },
              "src/ngsw.json",
              {
                "glob": "solidify-index.js",
                "input": "node_modules/solidify-frontend/boilerplate-resources",
                "output": "./"
              },
              {
                "glob": "**/*",
                "input": "node_modules/solidify-frontend/assets/i18n/",
                "output": "./assets/i18n/"
              },
              {
                "glob": "**/*",
                "input": "./node_modules/jsmol/src",
                "output": "./assets/jsmol",
                "ignore": [
                  "**/*.map"
                ]
              },
              {
                "glob": "**/*",
                "input": "./node_modules/jsme",
                "output": "./assets/jsme"
              },
              {
                "glob": "**/*",
                "input": "src/assets/",
                "output": "./assets/"
              },
              {
                "glob": "CHANGELOG.md",
                "input": "./",
                "output": "./"
              },
              {
                "glob": "RELEASE_NOTES.md",
                "input": "./",
                "output": "./"
              },
              {
                "glob": "robots.txt",
                "input": "src/assets/",
                "output": "./"
              },
              {
                "glob": "patch-base-href.sh",
                "input": "./scripts/",
                "output": "./"
              },
              "src/favicon.ico",
              "src/manifest.webmanifest.json"
            ],
            "styles": [
              "src/sass/main.scss"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                "node_modules",
                "src/sass",
                "./"
              ]
            },
            "scripts": [
              "node_modules/blobjs/Blob.min.js",
              "node_modules/tiff.js/tiff.js",
              "node_modules/xlsx/dist/xlsx.full.min.js",
              "node_modules/canvas-datagrid/dist/canvas-datagrid.js"
            ],
            "vendorChunk": true,
            "extractLicenses": false,
            "buildOptimizer": false,
            "sourceMap": {
              "scripts": true,
              "hidden": false,
              "styles": true,
              "vendor": true
            },
            "optimization": false,
            "namedChunks": true
          },
          "configurations": {
            "development": {
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": true,
              "namedChunks": true,
              "extractLicenses": false,
              "vendorChunk": false,
              "buildOptimizer": false,
              "serviceWorker": false,
              "ngswConfigPath": "ngsw-config.json"
            },
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "10mb",
                  "maximumError": "12mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "8kb"
                }
              ],
              "serviceWorker": true,
              "ngswConfigPath": "ngsw-config.json"
            },
            "production-local": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod-local.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "7mb",
                  "maximumError": "8mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "8kb"
                }
              ],
              "serviceWorker": true,
              "ngswConfigPath": "ngsw-config.json"
            },
            "solidify": {
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": true,
              "namedChunks": true,
              "extractLicenses": false,
              "vendorChunk": false,
              "buildOptimizer": false,
              "serviceWorker": false,
              "ngswConfigPath": "ngsw-config.json",
              "tsConfig": "src/tsconfig.solidify.json"
            }
          },
          "defaultConfiguration": ""
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "dlcm-portal:build",
            "proxyConfig": "proxy.conf.js"
          },
          "configurations": {
            "production": {
              "browserTarget": "dlcm-portal:build:production"
            },
            "production-local": {
              "browserTarget": "dlcm-portal:build:production-local"
            },
            "solidify": {
              "browserTarget": "dlcm-portal:build:solidify"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "dlcm-portal:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "karmaConfig": "src/karma.conf.js",
            "styles": [
              "node_modules/normalize.css/normalize.css",
              "src/sass/main.scss",
              "node_modules/@angular/cdk/overlay-prebuilt.css"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                "src/sass",
                "node_modules",
                "./"
              ]
            },
            "scripts": [],
            "assets": [
              "src/favicon.ico",
              "src/assets",
              {
                "glob": "**/*",
                "input": "./node_modules/jsmol/src",
                "output": "./assets/jsmol"
              },
              {
                "glob": "**/*",
                "input": "./node_modules/jsme",
                "output": "./assets/jsme"
              }
            ]
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "src/**/*.ts",
              "scripts/**/*.ts",
              "src/**/*.html"
            ]
          }
        },
        "server": {
          "builder": "@angular-devkit/build-angular:server",
          "options": {
            "outputPath": "dist/dlcm-portal/server",
            "main": "server.ts",
            "tsConfig": "src/tsconfig.server.json",
            "optimization": false,
            "sourceMap": {
              "scripts": true,
              "hidden": false,
              "styles": true,
              "vendor": true
            },
            "stylePreprocessorOptions": {
              "includePaths": [
                "node_modules",
                "src/sass",
                "./"
              ]
            },
            "extractLicenses": false
          },
          "configurations": {
            "development": {
              "optimization": false,
              "sourceMap": true,
              "extractLicenses": false
            },
            "production": {
              "outputHashing": "media",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                },
                {
                  "replace": "src/server-environments/server-environment.ts",
                  "with": "src/server-environments/server-environment.prod.ts"
                }
              ],
              "optimization": true,
              "sourceMap": false,
              "extractLicenses": true
            },
            "production-local": {
              "outputHashing": "media",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod-local.ts"
                },
                {
                  "replace": "src/server-environments/server-environment.ts",
                  "with": "src/server-environments/server-environment.prod.ts"
                }
              ],
              "optimization": true,
              "sourceMap": false,
              "extractLicenses": true
            },
            "solidify": {
              "optimization": false,
              "sourceMap": true,
              "extractLicenses": false,
              "tsConfig": "src/tsconfig.server-solidify.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "ssr-worker": {
          "builder": "@angular-devkit/build-angular:server",
          "options": {
            "outputPath": "dist/dlcm-portal/ssr-worker",
            "main": "ssr-worker.ts",
            "tsConfig": "src/tsconfig.ssr-worker.json",
            "optimization": false,
            "sourceMap": {
              "scripts": true,
              "hidden": false,
              "styles": true,
              "vendor": true
            },
            "stylePreprocessorOptions": {
              "includePaths": [
                "node_modules",
                "src/sass",
                "./"
              ]
            },
            "extractLicenses": false
          },
          "configurations": {
            "development": {
              "optimization": false,
              "sourceMap": true,
              "extractLicenses": false
            },
            "production": {
              "outputHashing": "media",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                },
                {
                  "replace": "src/server-environments/server-environment.ts",
                  "with": "src/server-environments/server-environment.prod.ts"
                }
              ],
              "optimization": true,
              "sourceMap": false,
              "extractLicenses": true
            }
          },
          "defaultConfiguration": "production"
        },
        "serve-ssr": {
          "builder": "@nguniversal/builders:ssr-dev-server",
          "configurations": {
            "development": {
              "browserTarget": "dlcm-portal:build:development",
              "serverTarget": "dlcm-portal:server:development"
            },
            "solidify": {
              "browserTarget": "dlcm-portal:build:solidify",
              "serverTarget": "dlcm-portal:server:solidify"
            },
            "production": {
              "browserTarget": "dlcm-portal:build:production",
              "serverTarget": "dlcm-portal:server:production"
            }
          },
          "defaultConfiguration": "development"
        },
        "prerender": {
          "builder": "@nguniversal/builders:prerender",
          "options": {
            "routes": [
              "/"
            ]
          },
          "configurations": {
            "production": {
              "browserTarget": "dlcm-portal:build:production",
              "serverTarget": "dlcm-portal:server:production"
            },
            "development": {
              "browserTarget": "dlcm-portal:build:development",
              "serverTarget": "dlcm-portal:server:development"
            }
          },
          "defaultConfiguration": "production"
        },
        "cypress-run": {
          "builder": "@cypress/schematic:cypress",
          "options": {
            "devServerTarget": "dlcm-portal:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "dlcm-portal:serve:production"
            }
          }
        },
        "cypress-open": {
          "builder": "@cypress/schematic:cypress",
          "options": {
            "watch": true,
            "headless": false
          }
        },
        "e2e": {
          "builder": "@cypress/schematic:cypress",
          "options": {
            "devServerTarget": "dlcm-portal:serve",
            "watch": true,
            "headless": false
          },
          "configurations": {
            "production": {
              "devServerTarget": "dlcm-portal:serve:production"
            }
          }
        }
      }
    }
  },
  "cli": {
    "analytics": false,
    "schematicCollections": [
      "@cypress/schematic",
      "@schematics/angular"
    ]
  }
}